# Class FileUploadMethod

#### Implements

- Method<File | null, FileUploadMethodParameters>

- Defined in lib/file-upload.method.ts:22

#####
Index

### Constructors

constructor

### Properties

_document
_fileInput
progress$

### Accessors

document

### Methods

addInputToDom
call
getDocument
handleFileInputChange
readFile
removeInputFromDom
setDocument

## Constructors

### constructor

- new FileUploadMethod(): FileUploadMethod

- #### Returns FileUploadMethod

## Properties

### `Protected` _document

_document: null | Document = null

- Defined in lib/file-upload.method.ts:28

### `Protected` _fileInput

_fileInput: null | HTMLInputElement = null

- Defined in lib/file-upload.method.ts:26

### progress$

progress$: Subject<number> = ...

- Defined in lib/file-upload.method.ts:24

## Accessors

### `Protected` document

- get document(): Document

- #### Returns Document

  - Defined in lib/file-upload.method.ts:30

## Methods

### `Protected` addInputToDom

- addInputToDom(accept): HTMLInputElement

- #### Parameters

  - accept: string

  #### Returns HTMLInputElement

  - Defined in lib/file-upload.method.ts:113

### call

- call(parameters?): Promise<null | File>

- #### Parameters

  - `Optional` parameters: FileUploadMethodParameters

  #### Returns Promise<null | File>

  Implementation of Method.call

  - Defined in lib/file-upload.method.ts:37

### `Protected` getDocument

- getDocument(): Document

- #### Returns Document

  - Defined in lib/file-upload.method.ts:122

### `Protected` handleFileInputChange

- handleFileInputChange(event): null | File

- #### Parameters

  - event: any

  #### Returns null | File

  - Defined in lib/file-upload.method.ts:62

### `Protected` readFile

- readFile(file): Promise<File>

- #### Parameters

  - file: File

  #### Returns Promise<File>

  - Defined in lib/file-upload.method.ts:84

### `Protected` removeInputFromDom

- removeInputFromDom(): void

- #### Returns void

  - Defined in lib/file-upload.method.ts:77

### setDocument

- setDocument(document): void

- #### Parameters

  - document: Document

  #### Returns void

  - Defined in lib/file-upload.method.ts:58